/v1/lan-segments/interfaces/public

Prev Next
Get
/v1/lan-segments/interfaces/public

Per LAN segment (VRF) on a device: interfaces split by globally routable IPv4 (for Public VIF / BGP)

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Query parameters
deviceId
integer (int64) Required

device id

Example1234567891011
Responses
200

OK

Expand All
object
lanSegmentIds
object
property*
object (manaV2LanSegmentPublicInterfacesLists) additionalProperties
privateInterfaces
Array of object (manaV2LanSegmentPublicInterfaceEntry)
object
interfaceId
integer (int64)

network.interface id (required)

Example1234567891011
ipv4Addresses
Array of string
string

IPv4 host/prefix strings from interface_ip_address (non-stale rows)

Exampleexample string
name
string

Device interface name (BGP local_interface uses this) (required)

Exampleexample string
storageProvider
string

Interface storage provider (cloud provider for gateway LAN interfaces)

ExampleENUM_VALUE
publicInterfaces
Array of object (manaV2LanSegmentPublicInterfaceEntry)
object
interfaceId
integer (int64)

network.interface id (required)

Example1234567891011
ipv4Addresses
Array of string
string

IPv4 host/prefix strings from interface_ip_address (non-stale rows)

Exampleexample string
name
string

Device interface name (BGP local_interface uses this) (required)

Exampleexample string
storageProvider
string

Interface storage provider (cloud provider for gateway LAN interfaces)

ExampleENUM_VALUE